import React, {useState, useEffect} from 'react';
import { csv } from 'd3';


const csvUrl="https://gist.githubusercontent.com/DragonEnergy/f071fad08ffadd75ed43412de2f46335/raw/7b17707b3aa98a33f6c12dfdd537f0a0e5ea505c/RDG2018.csv";

export const useData = () => {

  const [data, setData] = useState(null);
	
  useEffect(() => {
    const row = d => {
      d.Month = +d.Month;
      d.Zona = +d.Zona;
      d.WasteKgs = +d.WasteKgs;
      return d;
    };
    
    csv(csvUrl, row).then(setData)
  }, []);
  
     console.log('Data:' , data); 

  return data
}
